define({"1162":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA__LuaJsonValue.htm",l:-1,t:"LuaJsonValue Methods",i:0.000965757660837013,a:"A LuaJsonValue object represents a JSON value.  If you have a LuaJsonValue object called myJsonValue you can call its methods using the \u0027:\u0027 operator. For example: myJsonValue:is_object() Method Description array Gets a LuaJsonArray that represents the JSON array, if the value is an array. copy ..."},"1163":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",l:-1,t:"LuaJsonValue:new",i:0.000249181046288177,a:"LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Returns (LuaJsonValue). The new LuaJsonValue object."},"1164":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",l:-1,t:"array",i:0.000249181046288177,a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ..."},"1165":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",l:-1,t:"copy",i:0.000249181046288177,a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value."},"1166":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",l:-1,t:"exists",i:0.00166118655789753,a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"1167":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00166118655789753,a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"1168":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",l:-1,t:"is_array",i:0.000249181046288177,a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise."},"1169":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",l:-1,t:"is_boolean",i:0.000249181046288177,a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise."},"1170":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",l:-1,t:"is_float",i:0.000249181046288177,a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise."},"1171":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",l:-1,t:"is_integer",i:0.000249181046288177,a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise."},"1172":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",l:-1,t:"is_null",i:0.000249181046288177,a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise."},"1173":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",l:-1,t:"is_number",i:0.000249181046288177,a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise."},"1174":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",l:-1,t:"is_object",i:0.000249181046288177,a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise."},"1175":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",l:-1,t:"is_simple_value",i:0.000249181046288177,a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise."},"1176":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",l:-1,t:"is_string",i:0.000249181046288177,a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise."},"1177":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00166118655789753,a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"1178":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00166118655789753,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"1179":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:0.000249181046288177,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"1180":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:0.000249181046288177,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"1181":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:0.000249181046288177,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"1182":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.0015113244545481,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"1183":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.000848289637250208,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example local config = get_config(\"connector.cfg\")\nlocal log = get_log(config, \"SynchronizeLogStream\")\nlog:write_line( log_level_error() , \"This message is written to the synchronize log\")"},"1184":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.000272787824110964,a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Method Description get_log Returns a LuaLog ..."},"1185":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.000321910956774601,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the IDOL Community Component configuration file. Instead use the same log service as IDOL Community Component, by calling  get_log_service , or ..."},"1186":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.000321910956774601,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a standard log type for CFS"},"1187":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:0.000205976068620108,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"1188":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:0.000240992017514824,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"1189":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:0.000240992017514824,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"1190":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:0.000240992017514824,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"1191":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:0.000240992017514824,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"1192":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:0.000240992017514824,a:"str The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"1193":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000205976068620108,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"1194":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000240992017514824,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"1195":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000240992017514824,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"1196":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000240992017514824,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"1197":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000240992017514824,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"1198":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000240992017514824,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"1199":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000205976068620108,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"1200":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000293515940856897,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"1201":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000293515940856897,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"1202":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000205976068620108,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"1203":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000223484043067466,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"1204":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000223484043067466,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"1205":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000223484043067466,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"1206":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000223484043067466,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"1207":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000223484043067466,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"1208":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000223484043067466,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"1209":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000223484043067466,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"1210":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000223484043067466,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"1211":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000223484043067466,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"1212":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000223484043067466,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"1213":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000205976068620108,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"1214":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000249746004738503,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"1215":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000249746004738503,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"1216":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000249746004738503,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"1217":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000249746004738503,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"1218":{y:0,u:"../Content/Resources/MasterPages/_FT_Glossary.htm",l:-1,t:"Glossary",i:0.000205976068620108,a:"Glossary"},"1219":{y:0,u:"../Content/Actions/User/ActionParameters/Security.htm",l:-1,t:"Security",i:0.00239218436312661,a:"Allows you to create or edit a security field for the user in which to store the user security details for a repository. If the field you specify does not currently exist, it is created for the user. Use the following format to create a security field: Security SecurityTypeSecurityField= Value ..."},"1220":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/UID_Index.htm",l:-1,t:"UID ",i:0.000778037152955151,a:"UID  The ID of the user to index agents and profiles for."},"1221":{y:0,u:"../Content/Actions/Profile/ActionParameters/Mode.htm",l:-1,t:"Mode",i:0.00127758622455615,a:"Mode The type of content that you have specified in the  Document  parameter. Use one of the following options: Reference. One or more document references. ID. One or more document IDs. Text. A text string."},"1222":{y:0,u:"../Content/Actions/Profile/ActionParameters/MaxScore.htm",l:-1,t:"MaxScore",i:0.000825634922456896,a:"MaxScore The maximum score value that a profile must have to return results."},"1223":{y:0,u:"../Content/Actions/User/ActionParameters/SecurityConfig.htm",l:-1,t:"SecurityConfig",i:0.000596565529655365,a:"The security information configuration that you want to encrypt as a security info string. You must upload the file that contains the security information configuration as multipart/form-data, which means that you must send  UserEncryptSecurityInfo  as a POST request. The security configuration ..."},"1224":{y:0,u:"../Content/Actions/General/_ACI_OpenLinks.htm",l:-1,t:"OpenLinks",i:0.00104659581723295,a:"OpenLinks Type  on to open logged requests in a new window when they are clicked. "},"1225":{y:0,u:"../Content/Actions/Agent/ActionParameters/Training.htm",l:-1,t:"Training",i:0.00136713118492766,a:"Training Text that is typical of content that the agent must return. In the  AgentEdit  action, by default the specified text overwrites any existing training text. Set  AppendTrainingText  to  True to append the new text to the existing training."},"1226":{y:0,u:"../Content/Actions/User/ActionParameters/GroupDN.htm",l:-1,t:"GroupDN",i:0.00169276096913774,a:"The group object that the user must belong to. If the repository uses LDAP security, GroupDN allows you to specify a group object that the user must belong to for successful authentication. Set GroupDN to the distinguished name (DN) for the group that the user must belong to. You can use  ..."},"1227":{y:0,u:"../Content/Actions/Agent/ActionParameters/DocRefs.htm",l:-1,t:"DocRefs",i:0.000545953002233247,a:"DocRefs A comma-separated list of document references to mark as read or unread for an agent."},"1228":{y:0,u:"../Content/Actions/Community/ActionParameters/DeferLogin.htm",l:-1,t:"DeferLogin",i:0.000690968532286606,a:"Set DeferLogin to  True to use another system to manage authentication. This option allows you to integrate the users that this system provides (refer to the IDOL Server Administration Guide) rather than having to set up your own. By default, users expire after six months if they are not used (you ..."},"1229":{y:0,u:"../Content/Actions/Community/ActionParameters/DREQueryParameter.htm",l:-1,t:"DREQueryParameter",i:0.00071597992435426,a:"Allows you to add any Query action parameters to the community query. Specify the action parameters to add to the community query in the following format: DRE QueryParameter= ParameterValue where, Actions: Community Type: String Default:   Example: DRESort=relevance\u0026DREPrint=All In this example, the ..."},"1230":{y:0,u:"../Content/Actions/User/ActionParameters/Function.htm",l:-1,t:"Function",i:0.00128622351230508,a:"The name of the function that the authentication library performs. Use this parameter if you call a DLL to perform authentication. The standard security libraries use the function AUTHENTICATE to perform authentication. You can also use GETATTRIBUTES for the LDAP security library to import user ..."},"1231":{y:0,u:"../Content/Actions/Community/ActionParameters/AgentName.htm",l:-1,t:"AgentName",i:0.000690968532286606,a:"AgentName The name of the agent for which you want to return community agents and profiles."},"1232":{y:0,u:"../Content/Actions/Agent/ActionParameters/Mode.htm",l:-1,t:"Mode",i:0.00128473265516258,a:"The type of value that you have specified  for  PositiveDocs  or  NegativeDocs . You can use one of the following values: Reference. One or more document references. ID. One or more DocIDs. Token. A state token. If you use a Distributed Action Handler to distribute this action, you cannot use any ..."},"1233":{y:0,u:"../Content/Service/ServiceActions/_ACI_File.htm",l:-1,t:"File",i:0.00110369084803877,a:"File The path and file name of the diagnostics ZIP file to create. You can use an absolute or relative path. Relative paths are relative to the current component working directory."},"1234":{y:0,u:"../Content/Actions/Role/ActionParameters/Recurse_RoleGetParentRoleList.htm",l:-1,t:"Recurse",i:0.000574316779333175,a:"This parameter description applies only to the  RoleGetParentRoleList  action. Set Recurse to  True to list the parent roles of the role that you specify, and also any parent roles of these parent roles (and so on).  Set Recurse to  false to list only the parent roles of the role that you specify."},"1235":{y:0,u:"../Content/Actions/Agent/ActionParameters/AppendTrainingText.htm",l:-1,t:"AppendTrainingText",i:0.000749792660260989,a:"AppendTrainingText Set this parameter to  True to append the specified  Training  to the agent training text. Set it to   False to overwrite any existing training text with the specified  Training .  Training documents are not overwritten."},"1236":{y:0,u:"../Content/Actions/Role/ActionParameters/Recurse_RoleIsRoleInRole.htm",l:-1,t:"Recurse",i:0.000559806643242198,a:"Recurse This parameter description applies only to the  RoleIsRoleInRole  action. Set Recurse to  True to check for the specified  RoleName  child role in the specified parent role, and also any of its parent roles.  Set Recurse to  False to check only the specified parent role for the child role."},"1237":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/ImportFileName.htm",l:-1,t:"ImportFileName",i:0.000849706093926135,a:"ImportFileName The name of the XML file from which to import users, agents, and profiles into IDOL Community Component. If the XML file is not stored in the same directory as IDOL Community Component, you must specify the full path to the file."},"1238":{y:0,u:"../Content/Actions/Role/ActionParameters/Recurse_RoleUserGetRoleList.htm",l:-1,t:"Recurse",i:0.0004830264918895,a:"This parameter description applies only to the  RoleUserGetRoleList  action. Set Recurse to  True to list the roles to which the user explicitly belongs, and to list any parent roles that the user implicitly belongs to. Set Recurse to  False to list only the roles to which the specified user ..."},"1239":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/DeleteExisting.htm",l:-1,t:"DeleteExisting",i:0.000778037152955151,a:"DeleteExisting Set DeleteExisting to  True to remove any existing agents and profiles from IDOL Community Component before indexing."},"1240":{y:0,u:"../Content/Actions/User/ActionParameters/Password.htm",l:-1,t:"Password",i:0.00186442434816173,a:"Password The user password for the repository. Use this parameter if you call a library to perform authentication."},"1241":{y:0,u:"../Content/Actions/Status/Parameters/_ACI_Format.htm",l:-1,t:"Format",i:0.00178899027912747,a:"Format The format in which to return  GetStatus  information. Set Format to HTML to return the  GetStatus  response in HTML format.  This parameter has an effect only when you send the  GetStatus  action directly to the Content component. "},"1242":{y:0,u:"../Content/Actions/Custom/ActionParameters/From.htm",l:-1,t:"From",i:0.000520407359722686,a:"The e-mail address to display as the sender of the e-mail, when you run a  Custom  action that uses the ./res/modules/user_email library to send e-mails to users. If you do not type an e-mail address, IDOL Community Component uses the e-mail address that you set as the value of the  From  parameter ..."},"1243":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/UserName_Index.htm",l:-1,t:"UserName",i:0.000778037152955151,a:"UserName The name of the user to index agents and profiles for."},"1244":{y:0,u:"../Content/Actions/Role/ActionParameters/UserName.htm",l:-1,t:"UserName",i:0.00195714965959081,a:"UserName The name of the user."},"1245":{y:0,u:"../Content/Actions/Profile/ActionParameters/MaxNumber.htm",l:-1,t:"MaxNumber",i:0.000805011596171865,a:"MaxNumber The maximum number of results that the  ProfileGetResults  action returns."},"1246":{y:0,u:"../Content/Actions/Profile/ActionParameters/NamedArea_ProfileGetResults.htm",l:-1,t:"NamedArea",i:0.00077736516624222,a:"This parameter description applies only to the  ProfileGetResults  action. Restrict the profile query to a named area (that is, IDOL Community Component uses only the parts of the profile in this named area to query the data index). Separate multiple named areas with commas. There must be no space ..."},"1247":{y:0,u:"../Content/Actions/Agent/ActionParameters/UID.htm",l:-1,t:"UID",i:0.00204506345153485,a:"UID The ID of the user."},"1248":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ResponseFormat.htm",l:-1,t:"ResponseFormat",i:0.00176267468256309,a:"The format in which you want to receive the action output. You can use one of the following response formats: XML. XML format. Config. Config format (that is, similar to the IDOL Community Component configuration file). json. Default JSON format, as you configure in  JSONFormat . json/0. A JSON ..."},"1249":{y:0,u:"../Content/Actions/User/ActionParameters/SecurityFields.htm",l:-1,t:"SecurityFields",i:0.000751644613754355,a:"SecurityFields Set SecurityFields to  True to display the details of the user security fields and their values. (You can create security fields for a user when you create or edit the user)."},"1250":{y:0,u:"../Content/Actions/User/ActionParameters/UserFieldMatch.htm",l:-1,t:"UserFieldMatch",i:0.00102089597410925,a:"UserFieldMatch One or more strings (case insensitive) that a user field name must contain for it to return. Separate multiple strings with commas. You can use Wildcard values in the strings.  By default, all user fields are displayed."},"1251":{y:0,u:"../Content/Actions/Custom/ActionParameters/EmailAddress.htm",l:-1,t:"EmailAddress",i:0.000944943848946376,a:"EmailAddress The e-mail address of the new user."},"1252":{y:0,u:"../Content/Actions/Agent/ActionParameters/BooleanRestriction.htm",l:-1,t:"BooleanRestriction",i:0.00104573904649888,a:"A Boolean restriction for the agent. You can use these restrictions to query agents by using the  AgentGetResults  action with the  AgentBoolean  parameter set to  True. The Boolean restriction is stored as a field in the agentstore so that you can use the Query action with the AgentBooleanField ..."},"1253":{y:0,u:"../Content/Actions/Role/ActionParameters/SingleValue.htm",l:-1,t:"SingleValue",i:0.00035130401138196,a:"SingleValue Set SingleValue to  True to allow users to have only a single value for the specified privilege. Set SingleValue to  False to allow users to have multiple values for the specified privilege."},"1254":{y:0,u:"../Content/Actions/General/_ACI_Refresh.htm",l:-1,t:"Refresh",i:0.00104659581723295,a:"Refresh The number of seconds to elapse before the request log refreshes. "},"1255":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Template.htm",l:-1,t:"Template",i:0.00305540448633114,a:"Template The name of the XSL template to apply to the action output. Exclude the file path and file extension."},"1256":{y:0,u:"../Content/Actions/Agent/ActionParameters/Security.htm",l:-1,t:"Security",i:0.00160090206969185,a:"Allows you to create a security field for the user in which user security details for a repository are stored. Use the following format to create a security field: Security SecurityTypeSecurityField= Value where, Actions: AgentAdd AgentCopy AgentEdit AgentGetResults AgentRead AgentRetrain Type: ..."},"1257":{y:0,u:"../Content/Actions/Agent/ActionParameters/ShowTerms.htm",l:-1,t:"ShowTerms",i:0.000841884372108249,a:"ShowTerms Set this parameter to  True  to include the agent terms in the agent details."},"1258":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/ExportFileName.htm",l:-1,t:"ExportFileName",i:0.000529115545198741,a:"ExportFileName The name of the XML file to export IDOL Community Component users, agents, and profiles into. If the XML file is not stored in the same directory as IDOL Community Component, you must specify the full path to the file."},"1259":{y:0,u:"../Content/Actions/Profile/ActionParameters/Document.htm",l:-1,t:"Document",i:0.00147203045699511,a:"The training to use for the user profile. You can use any of the following options as training: One or more document IDs (DocIDs) One or more document references Text strings Separate multiple IDs, references, or strings with plus symbols (+). There must be no space before or after a plus symbol. ..."},"1260":{y:0,u:"../Content/Actions/User/UserGetAllFieldNames.htm",l:-1,t:"UserGetAllFieldNames",i:0.000218481764653935,a:"Returns a list of all the user field names that are stored in the Community internal database, including any fields that were copied from LDAP repositories as part of a user authentication or get attributes operation (see  FieldCSVs ). Example http://12.3.4.56:9030/action=UserGetAllFieldNames This ..."},"1261":{y:0,u:"../Content/Actions/SharedParameters/_ACI_TemplateParamCSVs.htm",l:-1,t:"TemplateParamCSVs",i:0.000314068740319248,a:"A comma-separated list of variables to set in the XSL template.  If you specify an XSL template in the  Template  parameter, you can set the XSLT variables for the template by setting TemplateParamCSVs. Set a variable by adding the parameter name and the value, separated by a comma. To set multiple ..."},"1262":{y:0,u:"../Content/Actions/Custom/ActionParameters/URL.htm",l:-1,t:"URL",i:0.000520407359722686,a:"URL The URL address of one or more Web sites whose content you want to send by e-mail. You must define the full URL (for example, http://www.example.com rather than www.example.com)"},"1263":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/XMLEncoding.htm",l:-1,t:"XMLEncoding",i:0.000529115545198741,a:"XMLEncoding By default, IDOL Community Component returns the action results in UTF-8. Use XMLEncoding to return results in a different encoding. Refer to the IDOL Server Administration Guide for a list of the supported encodings for different languages."},"1264":{y:0,u:"../Content/Actions/Role/ActionParameters/MaxLevels.htm",l:-1,t:"MaxLevels",i:0.000625373371804675,a:"MaxLevels The maximum number of tree levels to list child roles for. This option applies only if you set  Recurse  to  True."},"1265":{y:0,u:"../Content/Actions/User/ActionParameters/Start.htm",l:-1,t:"Start",i:0.000819920817614608,a:"Start The number of the first user to return in the alphabetical list.  You can use this option with  MaxUsers  to return the list of users in batches. "},"1266":{y:0,u:"../Content/Actions/Role/ActionParameters/StartMatch.htm",l:-1,t:"StartMatch",i:0.000767532860703108,a:"StartMatch The start letters (or full user name) of the first user name that you want to list. IDOL Community Component returns a list of user names that match the string, and all user names that follow it alphabetically."},"1267":{y:0,u:"../Content/Actions/Profile/ActionParameters/MatchThreshold.htm",l:-1,t:"MatchThreshold",i:0.000840743731690797,a:"Allows you to control how easily you can modify a user profile with text from new documents.  The MatchThreshold value determines the minimum percentage relevance that the input text or document must have to an existing agent in the specified profile. For documents that match with a relevance higher ..."},"1268":{y:0,u:"../Content/Actions/Status/Parameters/_ACI_PortOnly.htm",l:-1,t:"PortOnly",i:0.00178899027912747,a:"PortOnly Set PortOnly to  True to return a short version of the  GetStatus  response that includes only the ports that IDOL Proxy uses. This action parameter applies only to the IDOL Proxy component. "},"1269":{y:0,u:"../Content/Actions/SharedParameters/_ACI_FileName.htm",l:-1,t:"FileName",i:0.00134111249203426,a:"The location of the file to write the action output to, if you have set  Output  to  File. Type the full path to the file. The path that you specify must be listed in the  AllowedOutputDirectoryCSVs  configuration parameter. IDOL Community Component cannot write the output file to directories that ..."},"1270":{y:0,u:"../Content/Actions/User/ActionParameters/Repository_UserExist.htm",l:-1,t:"Repository",i:0.000607370102149652,a:"This parameter description applies only to the  UserExist  action. The security repository to find the user in. IDOL Community Component checks whether the user exists in this repository.  You can use Repository for the Autonomy, LDAP, and NT user security libraries.  To use Repository for the LDAP ..."},"1271":{y:0,u:"../Content/Actions/Custom/ActionParameters/Security.htm",l:-1,t:"Security",i:0.000944943848946376,a:"A security field to create for the user to store the  user security details for a repository. Use the following format to create a security field: Security SecurityTypeSecurityField= Value where, Actions: Custom InitCustom Type: String Default:   Example: ..."},"1272":{y:0,u:"../Content/Actions/Agent/ActionParameters/DREQueryParameter_AgentGetResults.htm",l:-1,t:"DREQueryParameter",i:0.000506465289709101,a:"DRE QueryParameter This parameter description applies only to the  AgentGetResults  action. Allows you to add any Query action parameters to the agent query. Specify the action parameters that you want to add to the agent query in the following format: DRE QueryParameter= ParameterValue where, ..."},"1273":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ForceTemplateRefresh.htm",l:-1,t:"ForceTemplateRefresh",i:0.00291181383203493,a:"ForceTemplateRefresh If you specify a Template to use for your action results, you can set ForceTemplateRefresh to  True to force the ACI server  to reload this template from disk rather than from the cache."},"1274":{y:0,u:"../Content/Actions/Profile/ActionParameters/MaxDate.htm",l:-1,t:"MaxDate",i:0.00131971237018385,a:"The latest creation date or time that a profile can have to return results. If a document has a more recent date, it is rejected. Profiles created with a version of Community earlier than 7.5.7 do not have a creation date. To specify a date, use one of the following formats. DD/MM/YYYY or DD/MM/YY A ..."},"1275":{y:0,u:"../Content/Actions/Agent/ActionParameters/OutputEncoding.htm",l:-1,t:"OutputEncoding",i:0.00182562223048316,a:"By default, IDOL Server converts the text that the action returns to UTF-8. To convert the output text to another encoding, add the OutputEncoding parameter to your action. Click a language to display the available encodings. Alternatively, if you know the standard encoding, you can use the second ..."},"1276":{y:0,u:"../Content/Actions/Community/ActionParameters/AgentsFindAgents.htm",l:-1,t:"AgentsFindAgents",i:0.000784709149299719,a:"AgentsFindAgents Set AgentsFindAgents to  False if you do not want to return community agents that match the agents of the specified user. This parameter has an effect only when you set  Agents to  True."},"1277":{y:0,u:"../Content/Actions/User/ActionParameters/UserName.htm",l:-1,t:"UserName",i:0.00605417521076063,a:"UserName The name of the user."},"1278":{y:0,u:"../Content/Actions/Community/ActionParameters/ProfilesFindAgents.htm",l:-1,t:"ProfilesFindAgents",i:0.000784709149299719,a:"ProfilesFindAgents Set ProfilesFindAgents to  True to return community agents as well as community profiles that match the profiles of the specified user. This parameter has an effect only when you set  Profile  to  True."},"1279":{y:0,u:"../Content/Actions/Agent/ActionParameters/DestinationAgentName.htm",l:-1,t:"DestinationAgentName",i:0.000405487141246945,a:"DestinationAgentName The name of the agent to copy an existing agent to. This creates a new agent with this name.  You cannot overwrite an existing agent. If you specify an agent that already exists, the action returns an error message."},"1280":{y:0,u:"../Content/Actions/Community/ActionParameters/NamedArea.htm",l:-1,t:"NamedArea",i:0.000690968532286606,a:"NamedArea The named area to which to restrict the query. When you query the community with a user name or user ID, you can add NamedArea to use only parts of the profile in this named area to query the community."},"1281":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ActionID.htm",l:-1,t:"ActionID",i:0.000314068740319248,a:"A string to use to identify an ACI action. You can use this parameter to track actions where the action is passed between multiple IDOL components. Each IDOL component passes the ActionID string along with the action, so that you can easily find related actions in logs for each component. If you do ..."},"1282":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/UserFields.htm",l:-1,t:"UserFields",i:0.000849706093926135,a:"UserFields The user fields to import. You can use Wildcard values in user field names. Separate multiple fields with commas. There must be no space before or after a comma.  IDOL Community Component imports only user fields that match a listed field."},"1283":{y:0,u:"../Content/Actions/Role/ActionParameters/Positive.htm",l:-1,t:"Positive",i:0.000555880581250605,a:"Positive Whether to include  the values that you specify for  Value  from the privilege (for multivalue privileges).  Set Positive to  True to include the specified values. Set Positive to  False to exclude the values."},"1284":{y:0,u:"../Content/Actions/Profile/ActionParameters/PID.htm",l:-1,t:"PID",i:0.00189142602356433,a:"PID The profile ID or IDs of the profiles that this action must affect. By default, the action affects all profiles."},"1285":{y:0,u:"../Content/Actions/Role/ActionParameters/ChildDeleteMode.htm",l:-1,t:"ChildDeleteMode",i:0.000574316779333175,a:"The method to use to deal with any child roles of the  RoleName  that you are deleting.  Use one of the following options: Orphan. Delete the name of the parent role from the RoleParent list of each of the child roles. CascadeDelete. Delete all child roles that do not have other parent roles. This ..."},"1286":{y:0,u:"../Content/Actions/User/ActionParameters/DestinationUserName.htm",l:-1,t:"DestinationUserName",i:0.00081842855254448,a:"The name of the user to copy the details to. IDOL Community Component creates a new user with this name, and copies the details of the user that you specify in the  UID  or  UserName  parameter. You cannot overwrite the details of a user that already exists, unless you set  Overwrite  to  True. If ..."},"1287":{y:0,u:"../Content/Actions/Role/ActionParameters/EmailAddress.htm",l:-1,t:"EmailAddress",i:0.00195714965959081,a:"EmailAddress The e-mail address of the user."},"1288":{y:0,u:"../Content/Actions/Profile/ActionParameters/Score.htm",l:-1,t:"Score",i:0.00132402635643522,a:"Score The new value for the relevance weighting score for a user profile. "},"1289":{y:0,u:"../Content/Actions/User/ActionParameters/RoleList.htm",l:-1,t:"RoleList",i:0.000643678740719237,a:"RoleList Set RoleList to  True to include the user roles in the details that the  UserRead  action returns."},"1290":{y:0,u:"../Content/Actions/User/ActionParameters/Password_UserAdd.htm",l:-1,t:"Password",i:0.000547759083010427,a:"Password This parameter description applies only to the  UserAdd  action. The password for the new user."},"1291":{y:0,u:"../Content/Actions/General/_ACI_Data.htm",l:-1,t:"Data",i:0.000470106787625485,a:"Data The encrypted version of the original action. To send an encrypted action, encrypt the action and then send it in the Data parameter of the  Encrypted  action. "},"1292":{y:0,u:"../Content/Actions/User/ActionParameters/FieldFieldName.htm",l:-1,t:"FieldFieldName",i:0.00253463511530229,a:"Field FieldName Allows you to create or edit a field associated with the specified user. Use the following format to create a field: Field FieldName= FieldValue where, For  UserEdit , you can use a  FieldValue to delete the field. For  UserCopy  and  UserRead , you can use this parameter only if you ..."},"1293":{y:0,u:"../Content/Actions/Agent/ActionParameters/UserFieldMatch.htm",l:-1,t:"UserFieldMatch",i:0.000506465289709101,a:"UserFieldMatch One or more strings that a user field name must contain for it to return in the results. To use multiple strings, separate them with commas. You can use Wildcards in the strings. By default, the action displays all user fields."},"1294":{y:0,u:"../Content/Actions/Profile/ActionParameters/MinScore.htm",l:-1,t:"MinScore",i:0.000825634922456896,a:"MinScore The minimum score value that a profile must have to return as a result."},"1295":{y:0,u:"../Content/Actions/Custom/ActionParameters/Comment.htm",l:-1,t:"Comment",i:0.000520407359722686,a:"Comment The comment that you want to send in the e-mail, if you run a  Custom  action that uses the ./res/modules/user_email library to send e-mails to users."},"1296":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Output.htm",l:-1,t:"Output",i:0.00241657934483449,a:"Type  File to write action output to a file. If you set Output to  File, you must use the  FileName  parameter to specify the name and the location of the file that you want to write the output to. The path that you specify in  FileName  must be listed in the  AllowedOutputDirectoryCSVs  ..."},"1297":{y:0,u:"../Content/Actions/Community/ActionParameters/ProfileMinScore.htm",l:-1,t:"ProfileMinScore",i:0.000805013298523024,a:"The minimum score value that a profile can have for it to be used to match agents and profiles in the community. The  Community  action uses all profiles for the specified user that have a score between ProfileMinScore and  ProfileMaxScore  to find matching agents and profiles for other users. This ..."},"1298":{y:0,u:"../Content/Actions/Role/ActionParameters/Security.htm",l:-1,t:"Security",i:0.00195714965959081,a:"A security field to create for the user to store the  user security details for a repository. Use the following format to create a security field: Security SecurityTypeSecurityField= Value where, Actions: RoleAddUserToRole RoleDoesUserHavePrivilege RoleGetUserPrivilegeValueList ..."},"1299":{y:0,u:"../Content/Actions/Agent/ActionParameters/InputEncoding.htm",l:-1,t:"InputEncoding",i:0.00328979657986676,a:"The encoding of the parameter values that you submit. Click a language to display the available encodings. Alternatively, if you know the standard encoding, you can use the second table to find the IDOL encoding name for this parameter. For each language, you can also set the Encodings parameters to ..."},"1300":{y:0,u:"../Content/Actions/User/ActionParameters/EmailAddress.htm",l:-1,t:"EmailAddress",i:0.00239218436312661,a:"EmailAddress The e-mail address of the user. For  UserCopy  and  UserRead , you can use this parameter only if you set  DeferLogin  to  True."},"1301":{y:0,u:"../Content/Actions/Maintenance/ActionParameters/FastImport.htm",l:-1,t:"FastImport",i:0.000849706093926135,a:"FastImport Set FastImport to   True to enable a faster algorithm for reading XML files. Set FastImport to  True only when there is sufficient memory to load the entire file into memory."},"1302":{y:0,u:"../Content/Actions/User/ActionParameters/Values.htm",l:-1,t:"Values",i:0.00128626969473854,a:"The pincode characters to check in the positions that you set in the  Positions  parameter. Separate values with a comma. There must be no space before or after a comma. For example, to authenticate the third, fifth, and sixth characters from a pincode, set  Positions  to  3,5,6. The Values ..."},"1303":{y:0,u:"../Content/Actions/Agent/ActionParameters/DestinationUserName.htm",l:-1,t:"DestinationUserName",i:0.000405487141246945,a:"DestinationUserName The name of the user that you want to create a copy of the agent for."},"1304":{y:0,u:"../Content/Actions/Profile/ActionParameters/RemoveDuplicates.htm",l:-1,t:"RemoveDuplicates",i:0.000572060472841088,a:"RemoveDuplicates Set RemoveDuplicates to  True to remove duplicate results from the different sets of profile results that the action returns. "},"1305":{y:0,u:"../Content/Actions/Custom/ActionParameters/Reference.htm",l:-1,t:"Reference",i:0.000520407359722686,a:"The reference of one or more documents to send by e-mail.  You should percent-encode document references. This ensures that any reserved characters that are part of a reference are not interpreted as query syntax. If you are sending HTTP requests using the content-type ..."},"1306":{y:0,u:"../Content/Actions/Profile/ActionParameters/DeferLogin.htm",l:-1,t:"DeferLogin",i:0.00135278325029663,a:"Set DeferLogin to  True to use another system to manage authentication. This option allows you to integrate the users that this system provides (refer to the IDOL Server Administration Guide) rather than having to set up your own. By default, users expire after six months if they are not used (you ..."},"1307":{y:0,u:"../Content/Actions/Role/ActionParameters/UID.htm",l:-1,t:"UID",i:0.00195714965959081,a:"UID The ID of the user."},"1308":{y:0,u:"../Content/Actions/Custom/ActionParameters/To.htm",l:-1,t:"To",i:0.000520407359722686,a:"To The e-mail address of the person to send the e-mail to when you run a  Custom  action that uses the ./res/modules/user_email library to send e-mails to users."},"1309":{y:0,u:"../Content/Service/ServiceActions/_ACI_Name.htm",l:-1,t:"Name",i:0.00046696732785434,a:"Name Type the name of the log stream you want to return. To retrieve a list of log stream names, use the  GetLogStreamNames  service action."},"1310":{y:0,u:"../Content/Actions/Profile/ActionParameters/EmailAddress.htm",l:-1,t:"EmailAddress",i:0.00135278325029663,a:"EmailAddress Allows you to specify the e-mail address of the new user."},"1311":{y:0,u:"../Content/Actions/Profile/ActionParameters/MinDate.htm",l:-1,t:"MinDate",i:0.00131971237018385,a:"Allows you to specify the earliest creation date or time that a profile can have to return results. If a profile is older than the specified date or time, it is rejected. Profiles created with a version of Community earlier than 7.5.7.0 do not have a creation date, and they do not return when you ..."},"1312":{y:0,u:"../Content/Actions/Agent/ActionParameters/TermTerm.htm",l:-1,t:"TermTerm",i:0.000400913688342516,a:"Term Term Allows you to set the weight of a specific term in agent training. Use the following format to set the term weights: Term Term= Weight where, To use the TermTerm action parameter, you must set SplitNumbers to  False in the IDOL Community Component configuration file."},"1313":{y:0,u:"../Content/Actions/SharedParameters/_ACI_EncryptResponse.htm",l:-1,t:"EncryptResponse",i:0.000314068740319248,a:"The EncryptResponse parameter is deprecated for IDOL Community Component version 12.6.0 and later. Instead of using ACI encryption, Micro Focus recommends configuring Secure Socket Layer (SSL) connections between ACI servers and applications. For more information, see  Secure Socket Layer Parameters ..."},"1314":{y:0,u:"../Content/Actions/Community/ActionParameters/ProfileMaxNumber.htm",l:-1,t:"ProfileMaxNumber",i:0.000690968532286606,a:"The maximum number of profiles for the specified user to use to search for matching agents and profiles.  This parameter has an effect only if you are finding a community for a user by using  UID  or  UserName . It does not have an effect if you find a community for a  Text  query, or if you specify ..."},"1315":{y:0,u:"../Content/Actions/Community/ActionParameters/Text.htm",l:-1,t:"Text",i:0.00385572116786233,a:"Text Query text to use to match agents and profiles to form a community.  If you use this parameter, the  UID ,  UserName , and  PID  parameters do not have an effect."},"1316":{y:0,u:"../Content/Actions/Agent/ActionParameters/DREQueryParameter.htm",l:-1,t:"DREQueryParameter",i:0.000911605225052387,a:"DRE QueryParameter This parameter description applies to the  AgentAdd ,  AgentEdit , and  AgentRetrain  actions. If you specified document IDs or references to train the agent, DREQueryParameter allows you to add TermGetBest action parameters to the  AgentAdd  action. If you specified text to train ..."},"1317":{y:0,u:"../Content/Actions/Agent/ActionParameters/UserName.htm",l:-1,t:"UserName",i:0.00232470004084474,a:"UserName The name of the user."},});